org.apache.ignite.internal.processors.platform.memory

## Class PlatformMemoryManagerImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.memory.PlatformMemoryManagerImpl

All Implemented Interfaces:
  PlatformMemoryManager

    public class PlatformMemoryManagerImpl
    extends Object
    implements PlatformMemoryManager

Interop memory manager implementation.

### Constructor Summary

Constructors
Constructor and Description
`PlatformMemoryManagerImpl(PlatformCallbackGateway gate, int dfltCap)` Constructor.

### Method Summary

Methods
`PlatformMemory` `allocate()` Allocates memory.
`PlatformMemory` `allocate(int cap)` Allocates memory having at least the given capacity.
`PlatformMemory` `get(long memPtr)` Gets memory from existing pointer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformMemoryManagerImpl

    public PlatformMemoryManagerImpl(@Nullable
                             PlatformCallbackGateway gate,
                             int dfltCap)

Constructor.

Parameters:
  `gate` - Native gateway.
  `dfltCap` - Default memory chunk capacity.

### Method Detail

#### allocate

    public PlatformMemory allocate()

Allocates memory.

Specified by:
  `allocate` in interface `PlatformMemoryManager`
Returns:
  Memory.

#### allocate

    public PlatformMemory allocate(int cap)

Allocates memory having at least the given capacity.

Specified by:
  `allocate` in interface `PlatformMemoryManager`
Parameters:
  `cap` - Minimum capacity.
Returns:
  Memory.

#### get

    public PlatformMemory get(long memPtr)

Gets memory from existing pointer.

Specified by:
  `get` in interface `PlatformMemoryManager`
Parameters:
  `memPtr` - Cross-platform memory pointer.
Returns:
  Memory.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017